TermQuery (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.TermQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class TermQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.TermQuery

All Implemented Interfaces:
  Serializable, Cloneable

    public class TermQuery

extends Query

A Query that matches documents containing a term. This may be combined with other terms with a `BooleanQuery`.

See Also:
  Serialized Form

Constructor Summary
`TermQuery(Term t)` Constructs a query for the term `t`.

Method Summary
`protected Weight` | `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` | `equals(Object o)` Returns true iff `o` is equal to this.
`void` | `extractTerms(Set terms)` Expert: adds all terms occuring in this query to the terms set.
`Term` | `getTerm()` Returns the term of this query.
`int` | `hashCode()` Returns a hash code value for this object.
`String` | `toString(String field)` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermQuery

    public TermQuery(Term t)

  Constructs a query for the term `t`.

Method Detail

### getTerm

    public Term getTerm()

  Returns the term of this query.

### createWeight

    protected Weight createWeight(Searcher searcher)
                           throws IOException

  Description copied from class: `Query`
  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `IOException`

### extractTerms

    public void extractTerms(Set terms)

  Description copied from class: `Query`
  Expert: adds all terms occuring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### toString

    public String toString(String field)

  Prints a user-readable version of this query.

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(Object o)

  Returns true iff `o` is equal to this.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.